Page 1 of 1

Exported OVA from 6.0.2 does not import on 5.2.24

PostPosted: 25. Jan 2019, 02:00
by Greg Bailey
I have a Windows 10 VM I built on a Linux host running VirtualBox 6.0.2. I export it as an OVA file, and I'm able to import that on the same host, as well as on a Windows 10 host running VirtualBox 6.0.2. All well and good...

I tried to import that same OVA on a Windows 10 host running VirtualBox 5.2.24, and receive the following error when attempting to import the OVA:
Error in (line 113) -- Invalid value 'VBOXSVGA' in Display/@controller attribute.
F:\tinderbox\win-5.2\out\win.amd64\release\obj\VBoxAPIWrap\ApplianceWrap.cpp[387] (long __cdecl ApplianceWrap::Interpret(void)).

Result Code: E_FAIL (0x80004005)
Component: ApplianceWrap
Interface: IAppliance {8398f026-4add-4474-5bc3-2f9f2140b23e}

It appears that the OVF file has an additional attribute in the <Display> tag. If I unpack the OVA file into the OVF and VMDK file, I can patch the OVF file manually, and import the VM successfully:
--- Windows_10.ovf.bak  2019-01-23 07:09:03.000000000 -0700
+++ Windows_10.ovf 2019-01-24 16:37:15.675274600 -0700
@@ -110,7 +110,7 @@
<Memory RAMSize="4096"/>
<HID Pointing="USBTablet"/>
<Paravirt provider="Default"/>
- <Display controller="VBoxSVGA" VRAMSize="128"/>
+ <Display VRAMSize="128"/>
<VideoCapture screens="1" file="." fps="25"/>
<RemoteDisplay enabled="false"/>
<BIOS>

I'm wondering if either the documentation should be updated to state that importing an OVA in a VirtualBox version older than the version that produced the OVA is not supported, or if an option could be added to the VirtualBox 6 export option that says "generate VirtualBox 5.X compatible OVF", etc.? Or perhaps a subsequent 5.2.X build could ignore an unrecognized attribute for the Display controller?

Re: Exported OVA from 6.0.2 does not import on 5.2.24

PostPosted: 25. Jan 2019, 06:36
by BillG
Did you actually read the error message you posted?

Error in (line 113) -- Invalid value 'VBOXSVGA' in Display/@controller attribute.


VBOXSVGA is new in version 6. It does not exist in version 5.

Do you have a particular reason to use import/export rather than copy the vm from one machine to another?

Re: Exported OVA from 6.0.2 does not import on 5.2.24

PostPosted: 25. Jan 2019, 15:23
by Greg Bailey
BillG wrote:Did you actually read the error message you posted?

Error in (line 113) -- Invalid value 'VBOXSVGA' in Display/@controller attribute.

Of course, that's what led me to patch the OVF file where I did and provide my own workaround. :-)

BillG wrote: VBOXSVGA is new in version 6. It does not exist in version 5.

Right. And thus the question as to whether exporting a VM on the current version of VirtualBox can be expected to work via importing it on VirtualBox version n-1.

BillG wrote: Do you have a particular reason to use import/export rather than copy the vm from one machine to another?

I have a collection of OVA files for testing against; it appears I may need to keep track of which version of VirtualBox was used to produce each OVA file so I know whether it can be imported on older VirtualBox 5.2 installations.

Re: Exported OVA from 6.0.2 does not import on 5.2.24

PostPosted: 26. Jan 2019, 03:22
by BillG
Or stick with VBOXVGA in all your vms. That would be my response to such a problem.